Name:           maliit-framework
Version:        0.93.1
Release:        %mkrel 2
Summary:        Input method framework

Group:          System/Libraries
License:        LGPLv2
URL:            http://maliit.org/
Source0:        http://maliit.org/releases/%{name}/%{name}-%{version}.tar.bz2

BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: doxygen
BuildRequires: glib2-devel
BuildRequires: gobject-introspection-devel
BuildRequires: gtk2-devel
BuildRequires: gtk+3-devel
BuildRequires: gtk-doc
BuildRequires: hunspell-devel
BuildRequires: libx11-devel
BuildRequires: qt4-devel
BuildRequires: systemd-devel

%description
Maliit provides a flexible and cross-platform input method framework. It has a
plugin-based client-server architecture where applications act as clients and
communicate with the Maliit server via input context plugins. The communication
link currently uses D-Bus.

%package qt4
Summary: Development package for %{name}
Group: Development/C++
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description qt4
Files for development with %{name}.

%package gtk2
Summary: Development package for %{name}
Group: Development/C
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description gtk2
Files for development with %{name}.

%package gtk3
Summary: Development package for %{name}
Group: Development/C
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description gtk3
Files for development with %{name}.

%package devel
Summary: Development files
Group: System/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%package docs
Summary: Documentation files for %{name}
Group: Development/C
Requires: %{name} = %{version}-%{release}
Requires: gtk-doc
BuildArch: noarch

%description docs
This package contains developer documentation for %{name}.

%package examples
Summary: Tests and examples for %{name}
Group: Development/C
Requires: %{name} = %{version}-%{release}
Requires: %{name}-gtk2 = %{version}-%{release}
Requires: %{name}-gtk3 = %{version}-%{release}
Requires: %{name}-qt4 = %{version}-%{release}

%description examples
This package contains tests and examples for %{name}.

%prep
%setup -q

%build
#qmake_qt4 \
%{_libdir}/qt4/bin/qmake \
	     -r MALIIT_VERSION=%{version} PREFIX=%{_prefix} \
             BINDIR=%{_bindir} LIBDIR=%{_libdir} INCLUDEDIR=%{_includedir} \
             MALIIT_ENABLE_MULTITOUCH=true \
             CONFIG+=disable-gtk-cache-update CONFIG+=disable-preedit \
             CONFIG+=enable-hunspell CONFIG+=enable-dbus-activation \
	     CONFIG+=disable-background-translucency \
	     LIBS+=-lXfixes

%make V=1

%install
make install INSTALL="install -p" INSTALL_ROOT=%{buildroot} DESTDIR=%{buildroot}

find %{buildroot} -name '.moc' -exec rm -rf {} ';'
find %{buildroot} -name '.gitignore' -exec rm -rf {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%postun gtk3
/usr/bin/gtk-query-immodules-3.0-%{__isa_bits} --update-cache &> /dev/null || :

%post gtk3
if [ $1 -eq 1 ] ; then
    # For upgrades, the cache will be regenerated by the new package's %postun
    /usr/bin/gtk-query-immodules-3.0-%{__isa_bits} --update-cache &> /dev/null || :
fi

%postun gtk2
/usr/bin/update-gtk-immodules %{_host} &> /dev/null || :

%post gtk2
if [ $1 -eq 1 ] ; then
    # For upgrades, the cache will be regenerated by the new package's %postun
    /usr/bin/update-gtk-immodules %{_host} &> /dev/null || :
fi

%files
%doc LICENSE.LGPL README NEWS
%{_bindir}/maliit-server
%{_libdir}/libmaliit*.so.*
%{_libdir}/maliit/plugins-1.0
%{_libdir}/girepository-1.0/Maliit-1.0.typelib
%{_datadir}/dbus-1/services/org.maliit.server.service

%files qt4
%{_libdir}/qt4/plugins/inputmethods/libmaliit*

%files gtk2
%{_libdir}/gtk-2.0/2.10.0/immodules/libim-maliit.so

%files gtk3
%{_libdir}/gtk-3.0/3.0.0/immodules/libim-maliit.so

%files devel
%{_bindir}/maliit-sdk
%{_includedir}/maliit/
%{_libdir}/libmaliit*.so
%{_libdir}/pkgconfig/maliit*.pc
%{_libdir}/qt4/mkspecs/features/maliit*
%{_datadir}/gir-1.0/Maliit-1.0.gir

%files docs
%{_datadir}/doc/maliit-framework
%{_datadir}/gtk-doc/html/maliit

%files examples
%{_bindir}/maliit-example*
%{_libdir}/maliit-framework-tests



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.93.1-2.mga3
+ Revision: 359343
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 zezinho <zezinho> 0.93.1-1.mga3
+ Revision: 332207
- fix build
- default mageia qmake fails
- fix rpm groups
- fix rpm groups
- fix underlink
- start from fedora spec
- imported package maliit-framework

